declare namespace __AdaptedExports {
  /**
   * assembly/index/calculatePiLeibnizAs
   * @param iterations `i32`
   * @returns `f64`
   */
  export function calculatePiLeibnizAs(iterations: number): number;
  /**
   * assembly/index/countPrimesAs
   * @param limit `i32`
   * @returns `i32`
   */
  export function countPrimesAs(limit: number): number;
  /**
   * assembly/index/addAs
   * @param a `i32`
   * @param b `i32`
   * @returns `i32`
   */
  export function addAs(a: number, b: number): number;
}
/** Instantiates the compiled WebAssembly module with the given imports. */
export declare function instantiate(module: WebAssembly.Module, imports: {
}): Promise<typeof __AdaptedExports>;
